sc::SumDenFunctional(3)

NAME
sc::SumDenFunctional - The SumDenFunctional computes energies and densities using the a sum of energy density functions method.

SYNOPSIS

#include <functional.h>

Inherits sc::DenFunctional.

Inherited by sc::StdDenFunctional.

  Public Methods
SumDenFunctional ()
SumDenFunctional (const Ref< KeyVal > &)
SumDenFunctional (StateIn &)
~SumDenFunctional ()
void save_data_state (StateOut &)
Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.
void set_spin_polarized (int)
void set_compute_potential (int)
int need_density_gradient ()
void point (const PointInputData &, PointOutputData &)
void print (std::ostream &=ExEnv::out0()) const
Print the object.

  Protected Attributes
int n_
Ref< DenFunctional > * funcs_
double * coefs_

DETAILED DESCRIPTION

The SumDenFunctional computes energies and densities using the a sum of energy density functions method.

MEMBER FUNCTION DOCUMENTATION

  void sc::SumDenFunctional::save_data_state (StateOut &) [virtual]

Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.

This must be implemented by the derived class if the class has data.

Reimplemented from sc::DenFunctional.

Reimplemented in sc::StdDenFunctional.

AUTHOR

Generated automatically by Doxygen for MPQC from the source code.